#额外要求header中携带token
module=adm-server
api.tag[@java.lang.Deprecated]=deprecated
method.additional.param[groovy:!it.containingClass().name().startsWith("com.persagy.adm.server.auth.controller")]={name:"projectId",value:"Pj5001120003",desc:"项目id",required:true}
method.additional.param[groovy:!it.containingClass().name().startsWith("com.persagy.adm.server.auth.controller")]={name:"groupCode",value:"XG",desc:"集团编码",required:true}
method.additional.param[groovy:!it.containingClass().name().startsWith("com.persagy.adm.server.auth.controller")]={name:"appId",value:"ADM",desc:"appId",required:false}
method.additional.param[groovy:!it.containingClass().name().startsWith("com.persagy.adm.server.auth.controller")]={name:"userId",value:"0",desc:"账号id",required:true}
method.additional.header[groovy:!it.ann("org.springframework.web.bind.annotation.PostMapping","value").startsWith("/account/login")]={name:"token",value:"12.13.14",desc:"当前用户token值",required:true}
method.additional.header[groovy:it.ann("org.springframework.web.bind.annotation.PostMapping","value").startsWith("/login/loginInfo")]={name:"loginDeviceType",value:"1",desc:"登录设备类型,1-pc,2-Android,3-ios,4-其他",required:true}
field.required=@javax.validation.constraints.NotBlank
field.required=@javax.validation.constraints.NotNull
field.required=@javax.validation.constraints.NotEmpty
field.ignore=@com.fasterxml.jackson.annotation.JsonIgnore#value
